java.security.interfaces

## Interface ECKey

- All Known Subinterfaces:
    ECPrivateKey, ECPublicKey

      public interface ECKey

  The interface to an elliptic curve (EC) key.
  Since:
    1.5

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ECParameterSpec` | `getParams()` Returns the domain parameters associated with this key.

- - ### Method Detail

    - #### getParams

          ECParameterSpec getParams()

      Returns the domain parameters associated with this key. The domain parameters are either explicitly specified or implicitly created during key generation.
      Returns:
        the associated domain parameters.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.